#!/bin/sh
export SYBASE=/opt/sybase
export PATH=$PATH:$SYBASE/ASE-15_0/bin:$SYBASE/ASE-15_0/install
export LANG=en_US
case "$1" in
	start)
		for i in `ls $SYBASE/ASE-15_0/install/RUN_*`
		do
			su -c "startserver -f $i" > /dev/null 2>&1;
			sleep 2
		done
		;;
	single)
		for i in `ls $SYBASE/ASE-15_0/install/RUN_*`
		do
			su -c "startserver -f $i -m" > /dev/null 2>&1;
			sleep 2
		done
		;;
	stop)
#		kill `ps -efa | grep sybase | grep -v grep | awk '{print $2}'`
		su -c "isql -SHX -Usa -P -ishut.sql" > /dev/null 2>&1;	
	;;
	status)
		showserver
		;;
	restart)
		$0 stop
		$0 start
		;;
	* )
		echo $"Usage: $0 {start | stop | status | restart}"
		exit 1
esac

exit 0

