#
# Stop Eisoo 3.5 3.5 client service .
#
PLATFORM=`uname`

echo ""
echo "Stop AnyBackupClientEngine service..."

if test "$PLATFORM" = "Linux"
then
	#
	# Check client whether has been installed.
	#
	if test ! -e /usr/local/AnyBackupClientEngine
	then 
		echo ""
		echo "The current system still not install AnyBackup Client. "
		echo "Stop request aborted."
		echo ""
		exit 1
	fi

	if test -s AnyBackupClientEngine.pid 
	then
		service AnyBackupClientEngine stop
	
		if (test ! "$?" = "0") then
			echo "Unable to stop AnyBackup Client service."
			echo ""
			exit 1
		fi	
	fi
else
	if test -s AnyBackupClientEngine.pid 
	then
		PROCESS_NAME=`cat AnyBackupClientEngine.pid`
	fi
		
	if test "$PROCESS_NAME" != ""
	then
		kill -9 $PROCESS_NAME
		rm AnyBackupClientEngine.pid
	fi
fi
echo "AnyBackup Client service has been stopped."


