#
# uninstall Eisoo AnyBackup 3.5 client.
#
APP_PATH=$PWD
PLATFORM=`uname`

echo "################################################################"
echo "#                                                              #"
echo "#     Thank you for using Eisoo AnyBackup 3.5 Client           #"
echo "#                                                              #"
echo "################################################################"

. stop.sh

if test "$PLATFORM" = "Linux"
then 
	echo "Remove AnyBackup Client service..."
	chkconfig AnyBackupClientEngine --del
else
if test "$PLATFORM" = "AIX"
then
	rm -f /usr/lib/libobk.a
else
if test "$PLATFORM" = "SunOS"
then
	rm -f /lib/64/libobk.so
else
if test "$PLATFORM" = "HP-UX"
then
	rm -f /lib/pa20_64/libobk.sl
fi
fi
fi
fi

rm -f /etc/init.d/AnyBackupClientEngine
rm -f /usr/local/AnyBackupClientEngine

echo ""

cd ..
rm -rf $APP_PATH

echo ""
echo "AnyBackup Client has been uninstalled successfully."
echo ""
